Subject: Re: [PATCH wpan v2 0/6] ieee802154: Scan/Beacon fixes

From: Miquel Raynal <[email-masked]>
Date: Fri, 17 Feb 2023 10:10:58 +0100

Hello Jakub, Stefan, Alexander,

[email-masked] wrote on Tue, 14 Feb 2023 14:50:29 +0100:

> Hello,
> 
> Following Jakub's review on Stefan's MR, a number of changes were
> requested for him in order to pull the patches in net. In the mean time,
> a couple of discussions happened with Alexander (return codes for
> monitor scans and transmit helper used for beacons).
> 
> Hopefully this series addresses everything.

I know it's only been 3 working days since I sent this series but as we
are approaching the closing of net-next and Stefan's MR was paused
until these fixes arrived, I wanted to check whether these changes
might be satisfying enough, in particular Jakub, if you found the
answers you asked for.

I mainly want to avoid the "Stefan waits for Alexander who waits for
Jakub who waits for Stefan" dependency chain :)

Thanks a lot for all the feedback anyway!
Miquèl

> Changes in v2:
> * Fixes lines with upsteam commit hashes rather than local
>   hashes. Everything else is exactly the same.
> 
> Miquel Raynal (6):
>   ieee802154: Use netlink policies when relevant on scan parameters
>   ieee802154: Convert scan error messages to extack
>   ieee802154: Change error code on monitor scan netlink request
>   mac802154: Send beacons using the MLME Tx path
>   mac802154: Fix an always true condition
>   ieee802154: Drop device trackers
> 
>  net/ieee802154/nl802154.c | 125 ++++++++++++++------------------------
>  net/mac802154/scan.c      |  25 ++++++--
>  2 files changed, 65 insertions(+), 85 deletions(-)
>